Name: rxvt
Version: 2.6.3
Release: alt2
Serial: 1

Summary: A terminal emulator in an X Window System
Summary(ru_RU.KOI8-R):     X Window
License: GPL
Group: Terminals
Url: http://www.rxvt.org/

Provides: xvt, %_x11bindir/xvt
PreReq: libutempter
Requires(post,preun): /usr/sbin/update-alternatives

BuildPreReq: autoconf = 2.13, rpm-build >= 4.0.4-alt10

# Automatically added by buildreq on Tue Dec 24 2002
BuildRequires: XFree86-devel XFree86-libs XFree86-locales groff-base libutempter-devel

Source: ftp://ftp.rxvt.org/pub/rxvt/%name-%version.tar.bz2
Source2: %name-32.xpm
Source3: %name-48.xpm
Source4: %name.menu

Patch1: rxvt-2.6.1-colorapprox.patch
Patch2: rxvt-2.6.1-mdk-metamod.patch
Patch3: rxvt-2.6.1-rxvtminiicon.patch

Patch11: %name-2.6.3-alt-cutchars.patch
Patch12: %name-2.6.3-alt-utempter.patch
Patch13: %name-2.6.3-alt-pw_shell.patch

%description
Rxvt is a VT100 terminal emulator for X.  It is intended as a replacement for
xterm(1) for users who do not require the more esoteric features of xterm.
Specifically rxvt does not implement the Tektronix 4014 emulation, session
logging and toolkit style configurability.  As a result, rxvt uses much less
swap space than xterm - a significant advantage on a machine serving many X
sessions.

%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1

%patch11 -p1
%patch12 -p1
%patch13 -p1

find doc -type f -print0 |
	xargs -r0 chmod a-x --

%build
%add_optflags -D_GNU_SOURCE
%set_autoconf_version 2.13
pushd autoconf
	autoconf && cp -p configure ../
popd
%configure \
	--bindir=%_x11bindir \
	--mandir=%_x11mandir \
	--enable-next-scroll \
	--enable-background-image \
	--enable-menubar \
	--enable-half-shadow \
	--enable-xgetdefault \
	--with-term=rxvt
%make_build

%install
%make_install install DESTDIR=$RPM_BUILD_ROOT
install -pD -m644 doc/%name.tbl $RPM_BUILD_ROOT%_x11mandir/man1/%name.1
install -pD -m644 rxvt-mini.xpm $RPM_BUILD_ROOT%_miconsdir/rxvt.xpm
install -pD -m644 %SOURCE2 $RPM_BUILD_ROOT%_iconsdir/%name.xpm
install -pD -m644 %SOURCE3 $RPM_BUILD_ROOT%_liconsdir/%name.xpm
install -pD -m644 %SOURCE4 $RPM_BUILD_ROOT%_menudir/%name

%post
/usr/sbin/update-alternatives --install %_x11bindir/xvt xvt %_x11bindir/%name 40
%update_menus

%preun
if [ "$1" = 0 ]; then
	/usr/sbin/update-alternatives --remove xvt %_x11bindir/%name
fi

%postun
%clean_menus

%files
%attr(2711,root,utempter) %_x11bindir/%name
%_x11bindir/rclock
%_x11mandir/man1/*
%_menudir/*
%_iconsdir/*.xpm
%_iconsdir/*/*.xpm
%doc %{name}*.lsm doc/{BUGS,FAQ,README.menu,TODO,etc,menu,rxvtRef*.html,*.txt,xterm.seq}

%changelog
* Tue Dec 24 2002 Dmitry V. Levin <ldv@altlinux.org> 1:2.6.3-alt2
- Rebuilt with libutempter-1.1.0.

* Thu Nov 21 2002 Dmitry V. Levin <ldv@altlinux.org> 1:2.6.3-alt1
- Fixed %%preun script.
- Build --with-term=rxvt.
- Comment out LINUX_KEYS, this fixes Home/End for TERM=rxvt.

* Wed Jun 12 2002 Dmitry V. Levin <ldv@altlinux.org> 2.6.3-ipl9mdk
- Honor pw_shell when choosing shell.

* Fri Jan 11 2002 Dmitry V. Levin <ldv@alt-linux.org> 2.6.3-ipl8mdk
- Rebuilt --with-term=xterm.

* Sun Jan 06 2002 Dmitry V. Levin <ldv@alt-linux.org> 2.6.3-ipl7mdk
- Dropped non-alt patches for utmp/wtmp, updated utempter patch.
- Enabled: background pixmaps, menubar, half width/height shadows, xgetdefault.
- Changed default cutchars set.
- Added alternative for xvt (priority=40).
- Cleaned up manpage and some docs.
- Added xvt to provides list.

* Mon Oct 15 2001 Dmitry V. Levin <ldv@alt-linux.org> 2.6.3-ipl6mdk
- Patched to support modern utempter protocol.
- Built with new utempter.

* Fri May 18 2001 AEN <aen@logic.ru> 2.6.3-ipl5mdk
- patch from Sergey Vlasov

* Tue Jan 16 2001 AEN <aen@logic.ru>
- RE adaptations

* Tue Sep 19 2000 David BAUDENS <baudens@mandrakesoft.com> 2.6.3-3mdk
- Fix Menu entry

* Tue Sep 19 2000 Francis Galiegue <fg@mandrakesoft.com> 2.6.3-2mdk
- Added large icon
- Some spec file fixes
- More macros

* Tue Aug 29 2000 Pixel <pixel@mandrakesoft.com> 2.6.3-1mdk
- new version

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.6.1-9mdk
- automatically added BuildRequires

* Mon Jul 24 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.6.1-8mdk
- some macroszifications
- BM

* Wed Apr 19 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 2.6.1-7mdk
- home/end keys patch
- fixed update-menus postun
- added 32x32 icon

* Thu Apr  6 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.6.1-6mdk
- Move icon to /usr/share/icons/mini/.
- Really fix meta/alt keys.

* Tue Apr  4 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.6.1-5mdk
- Set menu in /Terminals.

* Mon Mar 27 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.6.1-4mdk
- Remove buggy rh patch with keys.

* Mon Mar 27 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.6.1-3mdk
- Fix meta key.
- Menufication.
- Upgrade groups.
- Clean-up specs.
- Merge rh patchs.

* Wed Nov 03 1999 John Buswell <johnb@mandrakesoft.com>
- Build Release

* Sun Sep 12 1999 Giuseppe Ghib <ghibo@caesar.polito.it>
- updated to version 2.6.1
- added Preston Brown <probwn@redhat.com>'s patch.

* Mon Apr 26 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Mandrake adaptations.
- Use $TERM=rxvt instead of xterm.
- Enabling Bakc and Suppr Keys.

* Mon Apr  5 1999 Ryan Weaver <ryanw@infohwy.com>
  [rxvt-2.6.PRE3-1]
- Updated to version 2.6.PRE3
- Changed URL to reflect new rxvt web site.

* Thu Jan 28 1999 Ryan Weaver <ryanw@infohwy.com>
  [rxvt-2.6.PRE2-3]
- added --enable-ttygid

* Thu Jan 28 1999 Ryan Weaver <ryanw@infohwy.com>
  [rxvt-2.6.PRE2-2]
- Fix change_font/move_window bug better
   avoids coredump on resize window!

* Wed Jan 27 1999 Ryan Weaver <ryanw@infohwy.com>
  [rxvt-2.6.PRE2-1]
- Upgraded to rxvt-2.6.PRE2
- Geoff Wing <gcw@pobox.com>
  - fixed declaration position for COLORFGBG env var - really fixed this
    	time (noticed by Rob Somerville <somervil@cadvision.com>)
  - fixed transparent term reparenting/configure issues
  - fixed some documentation (noticed by
    	Richard Browne <richb@timestone.com.au>)

- MANTANI Nobutaka <nobutaka@nobutaka.com>
  - added XIM (X Input Method) enhancements

* Wed Jan 13 1999 Ryan Weaver <ryanw@infohwy.com>
  [rxvt-2.6.PRE1-2]
- Upgraded to rxvt-2.6.PRE1
